package com.nd.smartcan.content.s3.upload;

import com.nd.android.smartcan.network.mime.TypedByteArray;

import java.io.UnsupportedEncodingException;

/**
 * Created by Administrator on 2016/4/28.
 */

public class ContentTypedString extends TypedByteArray {
    public ContentTypedString(String string) {
        super("", convertToBytes(string));
    }

    public static byte[] convertToBytes(String string) {
        try {
            return string.getBytes("UTF-8");
        } catch (UnsupportedEncodingException var2) {
            throw new RuntimeException(var2);
        }
    }

    public String toString() {
        try {
            return "TypedString[" + new String(this.getBytes(), "UTF-8") + "]";
        } catch (UnsupportedEncodingException var2) {
            throw new AssertionError("Must be able to decode UTF-8");
        }
    }
}
