package com.nd.smartcan.content.s3.utils;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.ArrayList;

/**
 * Created by Administrator on 2016/3/29.
 */
public class S3Util {

    public static ArrayList<String> getDomainIps(String domain){
        ArrayList<String> hosts = new  ArrayList<String>();
        InetAddress[] ips = null;
        try {
             ips = InetAddress.getAllByName(domain);
        } catch (UnknownHostException e) {
            e.printStackTrace();
        }
        if(ips != null){
            for(InetAddress ip : ips){
                hosts.add(ip.getHostAddress());
            }
        }
        return hosts;
    }
}
