package com.nd.smartcan.content.s3.model;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 上传参数
 * Created by fdk on 2016/3/29.
 */
public class S3UpLoadParams {

    /**
     * upload_host
     */
    @JsonProperty("upload_host")
    private String mUploadHost;

    /**
     * upload_token
     */
    @JsonProperty("upload_token")
    private String mUploadToken;

    /**

     * upload_bucked
     */
    @JsonProperty("upload_bucket")
    private String mUploadBucket;

    /**
     * object_name
     */
    @JsonProperty("object_name")
    private String mObjectName;

    /**
     * upload_platform
     */
    @JsonProperty("upload_platform")
    private String mUploadPlatform;

    /**
     * upload_date
     */
    @JsonProperty("upload_date")
    private String mUploadDate;

    /**
     * upload_url
     */
    @JsonProperty("upload_url")
    private String mUploadUrl;


    public S3UpLoadParams() {
    }

    public S3UpLoadParams(String mUploadHost, String mUploadToken, String mUploadBucket, String mObjectName, String mUploadPlatform, String mUploadDate,
                          String mUploadUrl) {
        mUploadHost = mUploadHost;
        mUploadToken = mUploadToken;
        mUploadBucket = mUploadBucket;
        mObjectName = mObjectName;
        mUploadPlatform = mUploadPlatform;
        mUploadDate = mUploadDate;
        mUploadUrl = mUploadUrl;
    }

    @JsonProperty("upload_host")
    public final String getmUploadHost() {
        return mUploadHost;
    }

    @JsonProperty("upload_host")
    public final void setmUploadHost(String mUploadHost) {
        this.mUploadHost = mUploadHost;
    }

    @JsonProperty("upload_token")
    public final String getmUploadToken() {
        return mUploadToken;
    }

    @JsonProperty("upload_token")
    public final void setmUploadToken(String mUploadToken) {
        this.mUploadToken = mUploadToken;
    }

    @JsonProperty("upload_bucket")
    public final String getmUploadBucket() {
        return mUploadBucket;
    }

    @JsonProperty("upload_bucket")
    public final void setmUploadBucket(String mUploadBucket) {
        this.mUploadBucket = mUploadBucket;
    }

    @JsonProperty("object_name")
    public final String getmObjectName() {
        return mObjectName;
    }

    @JsonProperty("object_name")
    public final void setmObjectName(String mObjectName) {
        this.mObjectName = mObjectName;
    }

    @JsonProperty("upload_platform")
    public String getmUploadPlatform() {
        return mUploadPlatform;
    }

    @JsonProperty("upload_platform")
    public final void setmUploadPlatform(String mUploadPlatform) {
        this.mUploadPlatform = mUploadPlatform;
    }

    @JsonProperty("upload_date")
    public String getmUploadDate() {
        return mUploadDate;
    }

    @JsonProperty("upload_date")
    public final void setmUploadDate(String mUploadDate) {
        this.mUploadDate = mUploadDate;
    }

    @JsonProperty("upload_url")
    public final String getmUploadUrl() {
        return mUploadUrl;
    }

    @JsonProperty("upload_url")
    public final void setmUploadUrl(String mUploadUrl) {
        this.mUploadUrl = mUploadUrl;
    }

}
